
From: Dominik Brodowski <linux@dominikbrodowski.de>

As per the default usage in the driver model, don't embed the bus name into
the device name

Signed-off-by: Dominik Brodowski <linux@brodo.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/ds.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN drivers/pcmcia/ds.c~pcmcia-rename-pcmcia-devices drivers/pcmcia/ds.c
--- 25/drivers/pcmcia/ds.c~pcmcia-rename-pcmcia-devices	Fri Dec 17 15:24:55 2004
+++ 25-akpm/drivers/pcmcia/ds.c	Fri Dec 17 15:24:55 2004
@@ -600,7 +600,7 @@ static int bind_request(struct pcmcia_bu
 	p_dev->dev.bus = &pcmcia_bus_type;
 	p_dev->dev.parent = s->parent->dev.dev;
 	p_dev->dev.release = pcmcia_release_dev;
-	sprintf (p_dev->dev.bus_id, "pcmcia%d.%d", p_dev->socket->sock, p_dev->device_no);
+	sprintf (p_dev->dev.bus_id, "%d.%d", p_dev->socket->sock, p_dev->device_no);
 	p_dev->dev.driver = &p_drv->drv;
 
 	/* compat */
_
